package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author lihaoli
 * @date 2023/12/5
 */
@Data
public class ChargeDetailInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户编号")
    private Long userId;

    @ApiModelProperty(value = "气表起度")
    private Double meterRise;

    @ApiModelProperty(value = "气表止度")
    private Double meterStop;

    @ApiModelProperty(value = "抄表气量")
    private Double waterVolume;

    @ApiModelProperty(value = "抄表月份")
    private Integer meterMonth;

    @ApiModelProperty(value = "应收金额")
    private Double amountReceivable;

    @ApiModelProperty(value = "收费标志")
    private String chargeFlag;
    private String chargeFlagName;

    @ApiModelProperty(value = "违约金额")
    private Double defaultCharge;

    @ApiModelProperty(value = "污气费金额")
    private Double sewageFee;

    @ApiModelProperty(value = "垃圾费金额")
    private Double garbageFee;

    @ApiModelProperty(value = "收费日期")
    private Date chargeDate;

    @ApiModelProperty(value = "收费人员姓名")
    private String chargePersonName;

}
