package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-生产运营 漏损率 显示本年度累计值与预算值占比饼状图
 * @author BZ-DJJ
 */
@Data
public class LeakageStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "实际供气量")
    private BigDecimal totalCumulative;
    @ApiModelProperty(value = "实际售气量")
    private BigDecimal totalSslCumulative;
    @ApiModelProperty(value = "实际未上盘气量")
    private BigDecimal totalWspslCumulative;
    @ApiModelProperty(value = "实际漏损率")
    private BigDecimal cumulativeLsl;

    @ApiModelProperty(value = "预算供气量")
    private BigDecimal totalBudget;
    @ApiModelProperty(value = "预算售气量")
    private BigDecimal totalSslBudget;
    @ApiModelProperty(value = "预算未上盘气量")
    private BigDecimal totalWspslBudget;
    @ApiModelProperty(value = "预算漏损率")
    private BigDecimal budgetLsl;

}
