package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-生产运营 产销差 显示本年度累计值与预算值占比饼状图
 * @author BZ-DJJ
 */
@Data
public class ProductionMarketingPoorStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "实际供气量")
    private BigDecimal totalCumulative;
    @ApiModelProperty(value = "实际售气量")
    private BigDecimal totalSslCumulative;
    @ApiModelProperty(value = "实际产销差率")
    private BigDecimal cumulativeCxc;

    @ApiModelProperty(value = "预算供气量")
    private BigDecimal totalBudget;
    @ApiModelProperty(value = "预算售气量")
    private BigDecimal totalSslBudget;
    @ApiModelProperty(value = "预算产销差率")
    private BigDecimal budgetCxc;

}
