package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-生产运营 二厂 取供气(年统计)
 * @author BZ-DJJ
 */
@Data
public class TwoFactoryTakingWaterSupplyStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("统计时间")
    private String dateTime;

    @ApiModelProperty("取气量")
    private BigDecimal waterSupplyValue;

    @ApiModelProperty("供气量")
    private BigDecimal waterIntakingValue;
}
