package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-生产运营 二厂 气压(统计一天数据)
 * @author BZ-DJJ
 */
@Data
public class TwoFactoryWaterPressureStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("统计时间")
    private String dateTime;

    @ApiModelProperty("气压1")
    private BigDecimal sy1;

    @ApiModelProperty("气压2")
    private BigDecimal sy2;
}
