package com.tofly.watermeter.custom.entity.meterBusiness.dto;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

@Data
public class ChangeTableDto {

    @JSONField(name = "YHBH")
    private String YHBH;
    /**
     * 申请人
     */
    @JSONField(name = "SQR")
    private String SQR;

    private String SQYY;
    /**
     * 旧表起度
     */
    @JSONField(name = "JBQD")
    private String JBQD;
    /**
     * 旧表止度
     */
    @JSONField(name = "JBZD")
    private String JBZD;
    /**
     * 换表气量
     */
    @JSONField(name = "HBSL")
    private String HBSL;
    /**
     * 换表原因(1:表坏2:改口径3:虚拟换表4:增容5:周检轮换)
     */
    @JSONField(name = "HBYY")
    private String HBYY;
    /**
     * 备注
     */
    @JSONField(name = "BZ")
    private String BZ;
    /**
     * 换表人
     */
    @JSONField(name = "HBR")
    private String HBR;
    /**
     * 换表日期
     */
    @JSONField(name = "HBRQ")
    private String HBRQ;
    /**
     * 操作员
     */
    @JSONField(name = "CZY")
    private String CZY;
    /**
     * 换表气量计算方式（1:立即2:下次3:不计算）
     */
    @JSONField(name = "HBSLJSFS")
    private String HBSLJSFS;
    @JSONField(name = "XBQD")
    private String XBQD;
    /**
     * 气表识别码
     */
    @JSONField(name = "SBSBM")
    private String SBSBM;
    /**
     * 气表表号
     */
    @JSONField(name = "SBBH")
    private String SBBH;
    /**
     * 气表铅封号
     */
    @JSONField(name = "SBQFH")
    private String SBQFH;
    /**
     * 气表铭牌(3:机械表6:汇景气表8:智慧气务7:爱克能1:新天2:华旭4:竞达5:山科)
     */
    @JSONField(name = "SBMP")
    private String SBMP;
    /**
     * 气表类型（1:普通表2:网络表3:卡表4:远传表）
     */
    @JSONField(name = "SBLX")
    private String SBLX;
    /**
     * 气表型号（1:未知）
     */
    @JSONField(name = "SBXH")
    private String SBXH;
    /**
     * 新表底度
     */
    @JSONField(name = "XBDD")
    private String XBDD;
    /**
     * 气表口径（15 20 25 40 80 100 200 150 50）
     */
    @JSONField(name = "SBKJ")
    private String SBKJ;
    /**
     * 气表安装方式（1:立式 2:卧式）
     */
    @JSONField(name = "SBAZFS")
    private String SBAZFS;
    @JSONField(name = "SING")
    private String SING;
    @JSONField(name = "ACTION")
    private String ACTION;
}
