package com.tofly.watermeter.custom.entity.meterBusiness.dto;

import lombok.Data;

import java.util.List;

/**
 * @author 泡泡
 */
@Data
public class OutBoundDto {

    /**
     * 处理状态 0 未处理 1 已处理 2部分出库
     */
    private Long state;

    /**
     * 开始时间
     */
    private String start;
    /**
     * 结束时间
     */
    private String end;
    /**
     * 导出
     */
    private Long export;
    /**
     * 部门
     */
    private List<String> dept;
    /**
     * 气表口径
     */
    private List<String> caliber;

    /**
     * 气表类型
     */
    private List<String> type;
    /**
     * 气表厂家
     */
    private List<String> vendor;

    private String code;

    private List<Long> excludeId;

    /**
     * 气表编号区间
     */
    private String startCode;

    private String endCode;

}
