package com.tofly.watermeter.custom.entity.meterBusiness.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author 泡泡
 */
@Data
public class StatisticalFormDto implements Serializable {
    /**
     * 0 不导出  1 导出
     */
    private Long export;
    /**
     * 部门
     */
    private List<Long> dept;
    /**
     * 气表口径
     */
    private List<Long> cal;
    /**
     * 气表厂家
     */
    private List<Long> vendor;
    /**
     * 气表类型
     */
    private List<Long> type;
    /**
     * 开始时间
     */
    private String start;
    /**
     * 结束时间
     */
    private String end;
}
