package com.tofly.xrtymis.custom.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

@Data
@ApiModel
public class GdInfoQueryDto {

    /**
     * 工单类型
     */
    @ApiModelProperty(value = "工单类型")
    private Long gdlx;
    /**
     * 工单编号
     */
    @ApiModelProperty(value = "工单编号")
    private Long gdbh;

    private Long gdxf1;

    private Long gdxf2;
    /**
     * 工单状态
     */
    @ApiModelProperty(value = "工单状态")
    private Long gdzt;
    /**
     * 终止状态
     */
    @ApiModelProperty(value = "终止状态")
    private Long zzzt;
    /**
     * 催单状态
     */
    @ApiModelProperty(value = "催单状态")
    private Long cdzt;
    /**
     * 归档分类型
     */
    @ApiModelProperty(value = "归档分类型")
    private Long gdflx;
    /**
     * 回访状态
     */
    @ApiModelProperty(value = "回访状态")
    private Long hfzt;
    /**
     * 开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private String start;
    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private String end;
    /**
     * 工单编号、客户编号、客户姓名、客户地址、 联系电话---模糊查询
     */
    @ApiModelProperty(value = "工单编号、客户编号、客户姓名、客户地址、 联系电话---模糊查询")
    private String str;
    /**
     * 登记人员
     */
    @ApiModelProperty(value = "登记人员")
    private Long djry;

    /**
     * \
     * 查看比例
     */
    @ApiModelProperty(value = "查看比例")
    private Double ratio;

    private String bhzt;
    @ApiModelProperty(value = "认证处置超时状态 0：未超时，1超时")
    private String rzczcszt;
    @ApiModelProperty(value = "结果处置超时状态 0：未超时，1超时")
    private String jgczcszt;
}