package com.tofly.xrtygis.custom.entity.ImportDto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class WaterPlanDto {

    @ApiModelProperty(value = "年份")
    private String year;
    @ApiModelProperty(value = "月份")
    private String month;

    /**
     * 一厂供气量（万m³）
     */
    @ApiModelProperty(value = "一厂供气量（万m³）")
    private Double gslOne;
    /**
     * 二厂供气量（万m³）
     */
    @ApiModelProperty(value = "二厂供气量（万m³）")
    private Double gslTwo;
    /**
     * 青白江转供气（万m³）
     */
    @ApiModelProperty(value = "青白江转供气（万m³）")
    private Double gslQbj;
    /**
     * 一厂制气量（万m³）
     */
    @ApiModelProperty(value = "一厂制气量（万m³）")
    private Double zslOne;
    /**
     * 二厂制气量（万m³）
     */
    @ApiModelProperty(value = "二厂制气量（万m³）")
    private Double zslTwo;
    /**
     * 红旗气库制气量（万m³）
     */
    @ApiModelProperty(value = "红旗气库制气量（万m³）")
    private Double zslHqsk;
    /**
     * 总售气量（万m³）
     */
    @ApiModelProperty(value = "总售气量（万m³）")
    private Double sslTotal;
    /**
     * 未上盘气量（万m³）
     */
    @ApiModelProperty(value = "未上盘气量（万m³）")
    private Double wspsl;

    private Double jbdfOne;

    private Double jbdfTwo;
}
