package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-生产运营 供气量售气量 显示本年度供气量售气量累计值与预算值占比饼状图
 * @author BZ-DJJ
 */
@Data
public class FeedSaleMonthVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("统计时间")
    private String dateTime;

    @ApiModelProperty(value = "实际供气量")
    private BigDecimal totalCumulative;
    @ApiModelProperty(value = "实际售气量")
    private BigDecimal totalSslCumulative;

    @ApiModelProperty(value = "预算供气量")
    private BigDecimal totalBudget;
    @ApiModelProperty(value = "预算售气量")
    private BigDecimal totalSslBudget;

}
