package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-生产运营 二厂 关键指标(当前最新数据)
 * @author BZ-DJJ
 */
@Data
public class TwoFactoryKeyIndexStatisticalVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("取气量")
    private BigDecimal waterSupplyValue;

    @ApiModelProperty("供气量")
    private BigDecimal waterIntakingValue;

    @ApiModelProperty("出厂气压1")
    private BigDecimal sy1;
    @ApiModelProperty("出厂气压2")
    private BigDecimal sy2;

    @ApiModelProperty("余氯")
    private BigDecimal yl;

    @ApiModelProperty("浊度")
    private BigDecimal zd;

    @ApiModelProperty("PAC")
    private BigDecimal pac;

    @ApiModelProperty("液氯")
    private BigDecimal yldh;

    @ApiModelProperty("治气电耗")
    private BigDecimal dh;
}
