package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author lihaoli
 * @date 2023/12/5
 */
@Data
public class UserWaterMeterInfoVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "抄表片区")
    private String meterReadingArea;
    @ApiModelProperty(value = "抄表本")
    private String meterReadingBook;
    @ApiModelProperty(value = "用户编号")
    private String userCode;
    @ApiModelProperty(value = "用户姓名")
    private String userName;
    @ApiModelProperty(value = "用户地址")
    private String userAddress;
    @ApiModelProperty(value = "联系电话")
    private String contactNumber;
    @ApiModelProperty(value = "手机号码")
    private String phone;
    @ApiModelProperty(value = "气表生产厂家")
    private String waterMeterManufacturer;
    @ApiModelProperty(value = "气表编号")
    private String waterMeterCode;
    @ApiModelProperty(value = "气表口径")
    private String waterMeterCaliber;
    @ApiModelProperty(value = "气表类别")
    private String waterMeterType;
    @ApiModelProperty(value = "气表性质")
    private String waterMeterNature;
    @ApiModelProperty(value = "日均用气量")
    private String averageDailyWater;
    @ApiModelProperty(value = "累计天数")
    private String cumulativeDays;
    @ApiModelProperty(value = "累计用气")
    private String cumulativeWaterUse;
    @ApiModelProperty(value = "抄表片区")
    private String cbbmc;
    @ApiModelProperty(value = "虚拟总表名称列表")
    private List<String> waterMeterNameList;

}
