package com.tofly.xrtygis.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 首页-营销 气表厂家对应气表数
 * @author BZ-DJJ
 */
@Data
public class WaterMeterEnterpriseVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("厂家id")
    private BigDecimal manufacturer;
    @ApiModelProperty("厂家名称")
    private String cname;
    @ApiModelProperty("气表数(库存数)")
    private BigDecimal waterMeterNumber;


}
