/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtygis.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.xrtygis.custom.entity.gs.NoteSearch;
import com.tofly.xrtygis.entity.Rxsmsmessage;

import java.util.List;
import java.util.Map;

/**
 * 热线短信通讯信息表
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
public interface RxsmsmessageService extends IService<Rxsmsmessage> {

    Long getMaxId(String tableName);

    void insertNoteRecord(Map<Long, String> idAndMob, Rxsmsmessage message);

    void insertMessage(List<Rxsmsmessage> rxsmsmessageList);

    void updateMessage(List<Rxsmsmessage> rxsmsmessageList);

    Map getNoteNum(NoteSearch noteSearch);

    IPage<Rxsmsmessage> getNotePage(Page page, NoteSearch noteSearch);

    void retransmissionMessage(String id);
}
